﻿
$ErrorActionPreference = 'Stop';
$toolsDir = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = $toolsDir
  fileType       = 'EXE'
  softwareName   = 'Wavebox'

  url64bit       = 'https://download.wavebox.app/beta/win/Install%20Wavebox%2010.109.1.3.exe'
  checksum64     = 'efe6ea06c81133983e427dcb81dedeb74313bf086b7b432f6b1d089c44c236de'
  checksumType64 = 'sha256'

  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '--disable-progress --do-not-launch-chrome'
}

Install-ChocolateyPackage @packageArgs
